## indi-eqmod 1.0+20220129131520

=== CMakeLists.txt ===
PROJECT(indi-eqmod C CXX)
cmake_minimum_required(VERSION 3.0)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")

find_package(INDI REQUIRED)
find_package(Nova REQUIRED)
find_package(ZLIB REQUIRED)
find_package(GSL REQUIRED)

set(EQMOD_VERSION_MAJOR 1)
set(EQMOD_VERSION_MINOR 2)

if (CYGWIN)
add_definitions(-U__STRICT_ANSI__)
endif(CYGWIN)

option(WITH_ALIGN "Enable Alignment Subsystem" ON)
option(WITH_ALIGN_GEEHALEL "Enable EQMod Alignment" ON)
option(WITH_SCOPE_LIMITS "Enable Scope limits" ON)

set(INDI_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/indi")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_eqmod.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_eqmod.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${NOVA_INCLUDE_DIR})
include_directories( ${NOVA_INCLUDE_DIR}/..)
include_directories( ${GSL_INCLUDE_DIR} )

include(CMakeCommon)

IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 6.9.9)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-format-overflow")
ENDIF ()

########### EQMod ###############
set(eqmod_CXX_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/eqmod.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/eqmodbase.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/eqmoderror.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/skywatcher.cpp)

if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(eqmod_CXX_SRCS ${eqmod_CXX_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/mach_gettime.cpp)
endif()

set(eqmod_CXX_SRCS ${eqmod_CXX_SRCS}
   ${CMAKE_CURRENT_SOURCE_DIR}/simulator/simulator.cpp    ${CMAKE_CURRENT_SOURCE_DIR}/simulator/skywatcher-simulator.cpp)
if(WITH_ALIGN_GEEHALEL)
  set(eqmod_CXX_SRCS ${eqmod_CXX_SRCS}
   ${CMAKE_CURRENT_SOURCE_DIR}/align/align.cpp ${CMAKE_CURRENT_SOURCE_DIR}/align/pointset.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/align/triangulate.cpp ${CMAKE_CURRENT_SOURCE_DIR}/align/triangulate_chull.cpp)
  set(eqmod_C_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/align/htm.c ${CMAKE_CURRENT_SOURCE_DIR}/align/chull/chull.c)
endif(WITH_ALIGN_GEEHALEL)
if(WITH_SCOPE_LIMITS)
  set(eqmod_CXX_SRCS ${eqmod_CXX_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/scope-limits/scope-limits.cpp)
endif(WITH_SCOPE_LIMITS)

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(eqmod_c eqmod_C_SRCS 10 c)
    ENABLE_UNITY_BUILD(eqmod_cxx eqmod_CXX_SRCS 10 cpp)
ENDIF ()

add_executable(indi_eqmod_telescope ${eqmod_C_SRCS} ${eqmod_CXX_SRCS})

if(WITH_ALIGN)
  target_link_libraries(indi_eqmod_telescope ${INDI_LIBRARIES} ${NOVA_LIBRARIES} ${INDI_ALIGN_LIBRARIES} ${GSL_LIBRARIES} ${ZLIB_LIBRARY})
else(WITH_ALIGN)
  target_link_libraries(indi_eqmod_telescope ${INDI_LIBRARIES} ${NOVA_LIBRARIES})
endif(WITH_ALIGN)

if (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
target_link_libraries(indi_eqmod_telescope rt)
endif (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")

install(TARGETS indi_eqmod_telescope RUNTIME DESTINATION bin )

install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/indi_eqmod.xml indi_eqmod_sk.xml DESTINATION ${INDI_DATA_DIR})

install( FILES  simulator/indi_eqmod_simulator_sk.xml DESTINATION ${INDI_DATA_DIR})
if(WITH_ALIGN_GEEHALEL)
  install( FILES  align/indi_align_sk.xml DESTINATION ${INDI_DATA_DIR})
endif(WITH_ALIGN_GEEHALEL)
if(WITH_SCOPE_LIMITS)
  install( FILES  scope-limits/indi_eqmod_scope_limits_sk.xml DESTINATION ${INDI_DATA_DIR})
endif(WITH_SCOPE_LIMITS)

########### AZ GTi ###############
set(azgti_CXX_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/azgti.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/azgtibase.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/eqmodbase.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/eqmoderror.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/skywatcher.cpp)

if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(azgti_CXX_SRCS ${azgti_CXX_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/mach_gettime.cpp)
endif()

set(azgti_CXX_SRCS ${azgti_CXX_SRCS}
   ${CMAKE_CURRENT_SOURCE_DIR}/simulator/simulator.cpp    ${CMAKE_CURRENT_SOURCE_DIR}/simulator/skywatcher-simulator.cpp)
if(WITH_ALIGN_GEEHALEL)
  set(azgti_CXX_SRCS ${azgti_CXX_SRCS}
   ${CMAKE_CURRENT_SOURCE_DIR}/align/align.cpp ${CMAKE_CURRENT_SOURCE_DIR}/align/pointset.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/align/triangulate.cpp ${CMAKE_CURRENT_SOURCE_DIR}/align/triangulate_chull.cpp)
  set(azgti_C_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/align/htm.c ${CMAKE_CURRENT_SOURCE_DIR}/align/chull/chull.c)
endif(WITH_ALIGN_GEEHALEL)
if(WITH_SCOPE_LIMITS)
  set(azgti_CXX_SRCS ${azgti_CXX_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/scope-limits/scope-limits.cpp)
endif(WITH_SCOPE_LIMITS)

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(azgti_c azgti_C_SRCS 10 c)
    ENABLE_UNITY_BUILD(azgti_cxx azgti_CXX_SRCS 10 cpp)
ENDIF ()

add_executable(indi_azgti_telescope ${azgti_C_SRCS} ${azgti_CXX_SRCS})

if(WITH_ALIGN)
  target_link_libraries(indi_azgti_telescope ${INDI_LIBRARIES} ${NOVA_LIBRARIES} ${INDI_ALIGN_LIBRARIES} ${GSL_LIBRARIES} ${ZLIB_LIBRARY})
else(WITH_ALIGN)
  target_link_libraries(indi_azgti_telescope ${INDI_LIBRARIES} ${NOVA_LIBRARIES})
endif(WITH_ALIGN)

if (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
target_link_libraries(indi_azgti_telescope rt)
endif (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")

install(TARGETS indi_azgti_telescope RUNTIME DESTINATION bin )

########### Star Adventurer 2i ###############
set(staradventurer2i_CXX_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/staradventurer2i.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/staradventurer2ibase.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/eqmodbase.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/eqmoderror.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/skywatcher.cpp)

if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(staradventurer2i_CXX_SRCS ${staradventurer2i_CXX_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/mach_gettime.cpp)
endif()

set(staradventurer2i_CXX_SRCS ${staradventurer2i_CXX_SRCS}
   ${CMAKE_CURRENT_SOURCE_DIR}/simulator/simulator.cpp    ${CMAKE_CURRENT_SOURCE_DIR}/simulator/skywatcher-simulator.cpp)
if(WITH_ALIGN_GEEHALEL)
  set(staradventurer2i_CXX_SRCS ${staradventurer2i_CXX_SRCS}
   ${CMAKE_CURRENT_SOURCE_DIR}/align/align.cpp ${CMAKE_CURRENT_SOURCE_DIR}/align/pointset.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/align/triangulate.cpp ${CMAKE_CURRENT_SOURCE_DIR}/align/triangulate_chull.cpp)
  set(staradventurer2i_C_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/align/htm.c ${CMAKE_CURRENT_SOURCE_DIR}/align/chull/chull.c)
endif(WITH_ALIGN_GEEHALEL)
if(WITH_SCOPE_LIMITS)
  set(staradventurer2i_CXX_SRCS ${staradventurer2i_CXX_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/scope-limits/scope-limits.cpp)
endif(WITH_SCOPE_LIMITS)

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(staradventurer2i_c staradventurer2i_C_SRCS 10 c)
    ENABLE_UNITY_BUILD(staradventurer2i_cxx staradventurer2i_CXX_SRCS 10 cpp)
ENDIF ()

add_executable(indi_staradventurer2i_telescope ${staradventurer2i_C_SRCS} ${staradventurer2i_CXX_SRCS})

if(WITH_ALIGN)
  target_link_libraries(indi_staradventurer2i_telescope ${INDI_LIBRARIES} ${NOVA_LIBRARIES} ${INDI_ALIGN_LIBRARIES} ${GSL_LIBRARIES} ${ZLIB_LIBRARY})
else(WITH_ALIGN)
  target_link_libraries(indi_staradventurer2i_telescope ${INDI_LIBRARIES} ${NOVA_LIBRARIES})
endif(WITH_ALIGN)

if (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
target_link_libraries(indi_staradventurer2i_telescope rt)
endif (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")

install(TARGETS indi_staradventurer2i_telescope RUNTIME DESTINATION bin )

###################################################################################################
#########################################  Tests  #################################################
###################################################################################################

set(INDI_BUILD_UNITTESTS TRUE)

find_package (GTest)
find_package (GMock)
IF (GTEST_FOUND)
  IF (INDI_BUILD_UNITTESTS)
    MESSAGE (STATUS  "Building unit tests")
    ADD_SUBDIRECTORY(test)
  ELSE (INDI_BUILD_UNITTESTS)
    MESSAGE (STATUS  "Not building unit tests")
  ENDIF (INDI_BUILD_UNITTESTS)
ELSE()
  MESSAGE (STATUS  "GTEST not found, not building unit tests")
ENDIF (GTEST_FOUND)

=== debian/changelog ===
indi-eqmod (1.0+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 13:44:23 +0000

indi-eqmod (1.0-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Dec 2021 11:00:07 +0100

indi-eqmod (1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 03 Dec 2021 19:00:07 +0100

=== debian/control ===
Source: indi-eqmod
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
	, libgsl-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-eqmod
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-eqmod.git

Package: indi-eqmod
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI EQMod Driver
 This package contains the INDI driver fpr EQMod.
 .
 This INDI driver interacts with a mount controller using the Skywatcher
 Protocol through a serial link. It can directly drive Skywatcher and
 similar mounts through a serial port after a conversion of signal levels
 (see EQDIRECT interface), or any other mount hardware which uses this
 protocol.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-eqmod 1.0+20220611123707

=== debian/changelog ===
indi-eqmod (1.0+20220611123707-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Thorsten Alteholz ]
  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:37:18 +0000

## indi-eqmod 1.0+20230126190232

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,11 @@
 option(WITH_ALIGN "Enable Alignment Subsystem" ON)
 option(WITH_ALIGN_GEEHALEL "Enable EQMod Alignment" ON)
 option(WITH_SCOPE_LIMITS "Enable Scope limits" ON)
+option(WITH_AHP_GT "Install AHP GT Controllers Driver" ON)
+
+IF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+    set(WITH_AHP_GT OFF)
+ENDIF()
 
 set(INDI_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/indi")
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
@@ -94,6 +99,59 @@
   install( FILES  scope-limits/indi_eqmod_scope_limits_sk.xml DESTINATION ${INDI_DATA_DIR})
 endif(WITH_SCOPE_LIMITS)
 
+########### AHP GT controllers ###############
+if(WITH_AHP_GT)
+    find_package(AHPGT REQUIRED)
+    if(AHPGT_FOUND)
+        include_directories( ${AHPGT_INCLUDE_DIR})
+        set(ahp_gt_CXX_SRCS
+            ${CMAKE_CURRENT_SOURCE_DIR}/ahpgt.cpp
+            ${CMAKE_CURRENT_SOURCE_DIR}/ahpgtbase.cpp
+           ${CMAKE_CURRENT_SOURCE_DIR}/eqmodbase.cpp
+           ${CMAKE_CURRENT_SOURCE_DIR}/eqmoderror.cpp
+           ${CMAKE_CURRENT_SOURCE_DIR}/skywatcher.cpp)
+
+        if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+          set(ahp_gt_CXX_SRCS ${ahp_gt_CXX_SRCS}
+            ${CMAKE_CURRENT_SOURCE_DIR}/mach_gettime.cpp)
+        endif()
+
+        set(ahp_gt_CXX_SRCS ${ahp_gt_CXX_SRCS}
+           ${CMAKE_CURRENT_SOURCE_DIR}/simulator/simulator.cpp    ${CMAKE_CURRENT_SOURCE_DIR}/simulator/skywatcher-simulator.cpp)
+        if(WITH_ALIGN_GEEHALEL)
+          set(ahp_gt_CXX_SRCS ${ahp_gt_CXX_SRCS}
+           ${CMAKE_CURRENT_SOURCE_DIR}/align/align.cpp ${CMAKE_CURRENT_SOURCE_DIR}/align/pointset.cpp
+           ${CMAKE_CURRENT_SOURCE_DIR}/align/triangulate.cpp ${CMAKE_CURRENT_SOURCE_DIR}/align/triangulate_chull.cpp)
+          set(ahp_gt_C_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/align/htm.c ${CMAKE_CURRENT_SOURCE_DIR}/align/chull/chull.c)
+        endif(WITH_ALIGN_GEEHALEL)
+        if(WITH_SCOPE_LIMITS)
+          set(ahp_gt_CXX_SRCS ${ahp_gt_CXX_SRCS}
+            ${CMAKE_CURRENT_SOURCE_DIR}/scope-limits/scope-limits.cpp)
+        endif(WITH_SCOPE_LIMITS)
+
+        IF (UNITY_BUILD)
+            ENABLE_UNITY_BUILD(ahp_gt_c ahp_gt_C_SRCS 10 c)
+            ENABLE_UNITY_BUILD(ahp_gt_cxx ahp_gt_CXX_SRCS 10 cpp)
+        ENDIF ()
+
+        add_executable(indi_ahpgt_telescope ${ahp_gt_C_SRCS} ${ahp_gt_CXX_SRCS})
+
+        if(WITH_ALIGN)
+          target_link_libraries(indi_ahpgt_telescope ${INDI_LIBRARIES} ${NOVA_LIBRARIES} ${INDI_ALIGN_LIBRARIES} ${GSL_LIBRARIES} ${ZLIB_LIBRARY})
+        else(WITH_ALIGN)
+          target_link_libraries(indi_ahpgt_telescope ${INDI_LIBRARIES} ${NOVA_LIBRARIES})
+        endif(WITH_ALIGN)
+
+        target_link_libraries(indi_ahpgt_telescope ${AHPGT_LIBRARIES})
+
+        if (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
+        target_link_libraries(indi_ahpgt_telescope rt)
+        endif (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
+
+        install(TARGETS indi_ahpgt_telescope RUNTIME DESTINATION bin )
+    endif(AHPGT_FOUND)
+endif(WITH_AHP_GT)
+
 ########### AZ GTi ###############
 set(azgti_CXX_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/azgti.cpp
@@ -139,6 +197,51 @@
 
 install(TARGETS indi_azgti_telescope RUNTIME DESTINATION bin )
 
+########### Sky Adventurer GTi ###############
+set(skyadventurergti_CXX_SRCS
+   ${CMAKE_CURRENT_SOURCE_DIR}/skyadventurergti.cpp
+   ${CMAKE_CURRENT_SOURCE_DIR}/skyadventurergtibase.cpp
+   ${CMAKE_CURRENT_SOURCE_DIR}/eqmodbase.cpp
+   ${CMAKE_CURRENT_SOURCE_DIR}/eqmoderror.cpp
+   ${CMAKE_CURRENT_SOURCE_DIR}/skywatcher.cpp)
+
+if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+  set(skyadventurergti_CXX_SRCS ${skyadventurergti_CXX_SRCS}
+    ${CMAKE_CURRENT_SOURCE_DIR}/mach_gettime.cpp)
+endif()
+
+set(skyadventurergti_CXX_SRCS ${skyadventurergti_CXX_SRCS}
+   ${CMAKE_CURRENT_SOURCE_DIR}/simulator/simulator.cpp    ${CMAKE_CURRENT_SOURCE_DIR}/simulator/skywatcher-simulator.cpp)
+if(WITH_ALIGN_GEEHALEL)
+  set(skyadventurergti_CXX_SRCS ${skyadventurergti_CXX_SRCS}
+   ${CMAKE_CURRENT_SOURCE_DIR}/align/align.cpp ${CMAKE_CURRENT_SOURCE_DIR}/align/pointset.cpp
+   ${CMAKE_CURRENT_SOURCE_DIR}/align/triangulate.cpp ${CMAKE_CURRENT_SOURCE_DIR}/align/triangulate_chull.cpp)
+  set(skyadventurergti_C_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/align/htm.c ${CMAKE_CURRENT_SOURCE_DIR}/align/chull/chull.c)
+endif(WITH_ALIGN_GEEHALEL)
+if(WITH_SCOPE_LIMITS)
+  set(skyadventurergti_CXX_SRCS ${skyadventurergti_CXX_SRCS}
+    ${CMAKE_CURRENT_SOURCE_DIR}/scope-limits/scope-limits.cpp)
+endif(WITH_SCOPE_LIMITS)
+
+IF (UNITY_BUILD)
+    ENABLE_UNITY_BUILD(skyadventurergti_c skyadventurergti_C_SRCS 10 c)
+    ENABLE_UNITY_BUILD(skyadventurergti_cxx skyadventurergti_CXX_SRCS 10 cpp)
+ENDIF ()
+
+add_executable(indi_skyadventurergti_telescope ${skyadventurergti_C_SRCS} ${skyadventurergti_CXX_SRCS})
+
+if(WITH_ALIGN)
+  target_link_libraries(indi_skyadventurergti_telescope ${INDI_LIBRARIES} ${NOVA_LIBRARIES} ${INDI_ALIGN_LIBRARIES} ${GSL_LIBRARIES} ${ZLIB_LIBRARY})
+else(WITH_ALIGN)
+  target_link_libraries(indi_skyadventurergti_telescope ${INDI_LIBRARIES} ${NOVA_LIBRARIES})
+endif(WITH_ALIGN)
+
+if (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
+target_link_libraries(indi_skyadventurergti_telescope rt)
+endif (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
+
+install(TARGETS indi_skyadventurergti_telescope RUNTIME DESTINATION bin )
+
 ########### Star Adventurer 2i ###############
 set(staradventurer2i_CXX_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/staradventurer2i.cpp
@@ -180,25 +283,3 @@
 
 if (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
 target_link_libraries(indi_staradventurer2i_telescope rt)
-endif (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
-
-install(TARGETS indi_staradventurer2i_telescope RUNTIME DESTINATION bin )
-
-###################################################################################################
-#########################################  Tests  #################################################
-###################################################################################################
-
-set(INDI_BUILD_UNITTESTS TRUE)
-
-find_package (GTest)
-find_package (GMock)
-IF (GTEST_FOUND)
-  IF (INDI_BUILD_UNITTESTS)
-    MESSAGE (STATUS  "Building unit tests")
-    ADD_SUBDIRECTORY(test)
-  ELSE (INDI_BUILD_UNITTESTS)
-    MESSAGE (STATUS  "Not building unit tests")
-  ENDIF (INDI_BUILD_UNITTESTS)
-ELSE()
-  MESSAGE (STATUS  "GTEST not found, not building unit tests")
-ENDIF (GTEST_FOUND)

=== test/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 3.0)

FIND_PACKAGE (GMock REQUIRED)
FIND_PACKAGE (Threads REQUIRED)

MESSAGE (STATUS "GTEST_BOTH_LIBRARIES ${GTEST_BOTH_LIBRARIES}")
MESSAGE (STATUS "GTEST_MAIN_LIBRARIES ${GTEST_MAIN_LIBRARIES}")
MESSAGE (STATUS "GTEST_LIBRARIES ${GTEST_LIBRARIES}")
MESSAGE (STATUS "GTEST_INCLUDE_DIRS ${GTEST_INCLUDE_DIRS}")
MESSAGE (STATUS "GMOCK_LIBRARIES ${GMOCK_LIBRARIES}")
MESSAGE (STATUS "GMOCK_INCLUDE_DIRS ${GMOCK_INCLUDE_DIRS}")

ENABLE_TESTING()

INCLUDE_DIRECTORIES ( ${GTEST_INCLUDE_DIRS} )
INCLUDE_DIRECTORIES ( ${GMOCK_INCLUDE_DIRS} )
INCLUDE_DIRECTORIES ( ${CMAKE_SOURCE_DIR} )

SET (test_eqmod_SRCS
	test_eqmod.cpp ${eqmod_C_SRCS} ${eqmod_CXX_SRCS}
)

if (NOT MSVC)
    set (PTHREAD_LIBRARIES -pthread)
endif()

ADD_EXECUTABLE(test_eqmod
	${test_eqmod_SRCS}
)

if(WITH_ALIGN)
  target_link_libraries(test_eqmod ${PTHREAD_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${GMOCK_LIBRARIES} ${INDI_LIBRARIES} ${NOVA_LIBRARIES} ${INDI_ALIGN_LIBRARIES} ${GSL_LIBRARIES} ${ZLIB_LIBRARY})
else(WITH_ALIGN)
  target_link_libraries(test_eqmod ${PTHREAD_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${GMOCK_LIBRARIES} ${INDI_LIBRARIES} ${NOVA_LIBRARIES})
endif(WITH_ALIGN)

ADD_TEST(test_eqmod test_eqmod)

=== debian/changelog ===
indi-eqmod (1.0+20230126190232-4) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113017)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:23:29 +0200

indi-eqmod (1.0+20230126190232-3) unstable; urgency=medium

  * add gcc15.patch (Closes: #1096836)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 25 Sep 2025 09:02:46 +0200

indi-eqmod (1.0+20230126190232-2) unstable; urgency=medium

  * add patch to be able to use new libahp-gt
    (Closes: #1101229)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 May 2025 12:02:46 +0200

indi-eqmod (1.0+20230126190232-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.0

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Jan 2023 19:02:46 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,17 @@
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
 	, cmake
+	, pkg-config
+	, libgmock-dev
+	, libgtest-dev
 	, libusb-1.0-0-dev
 	, libindi-dev
 	, zlib1g-dev
 	, libnova-dev
 	, libgsl-dev
-Standards-Version: 4.6.0
+	, libahp-gt-dev, libahp-gt1
+#	, libahp-xc-dev
+Standards-Version: 4.7.2
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
